<div style="margin-bottom: 3rem">
  <h4>
    {{ "PROJECTDETAILS.PLAN.RESPONSIBILITY.TITLE" | translate }}
  </h4>
  <p class="lorem">
    {{ "PROJECTDETAILS.PLAN.RESPONSIBILITY.DESC" | translate }}
  </p>
</div>

<div class="rollenlist">
  <!-- New Project list!?-->

  <div class="mat-elevation-z8">
    <!-- This is a loading symbol -->
    <div class="spinner-container" *ngIf="dataSource.loading$ | async">
      <mat-spinner></mat-spinner>
    </div>

    <!-- This is the table -->
    <nb-card>
      <nb-card-body>
        <mat-table
          class="projects-table mat-elevation-z8"
          [dataSource]="dataSource"
          matSort
          matSortActive="name"
          matSortDirection="asc"
          matSortDisableClear
        >
          <!--displayedColumns = ["id", "status", "description"];-->

          <ng-container matColumnDef="name">
            <mat-header-cell *matHeaderCellDef mat-sort-header>{{
              "PROJECTDETAILS.PLAN.RESPONSIBILITY.NAME" | translate
            }}</mat-header-cell>
            <mat-cell *matCellDef="let project">a{{ project.id }}</mat-cell>
            <!--<mat-cell class="id-cell" *matCellDef="let project">{{project.id}}</mat-cell>-->
          </ng-container>

          <ng-container matColumnDef="e-mail">
            <mat-header-cell *matHeaderCellDef mat-sort-header>
              {{ "PROJECTDETAILS.PLAN.RESPONSIBILITY.E-MAIL" | translate }}
            </mat-header-cell>
            <mat-cell *matCellDef="let project"
              ><a
                href="mailto:{{ project.id }}"
                target="_blank"
                class="custom-link"
                ><b>{{ project.title }}</b></a
              ></mat-cell
            >
            <!--<mat-cell class="id-cell" *matCellDef="let project">{{project.id}}</mat-cell>-->
          </ng-container>

          <ng-container matColumnDef="phone">
            <mat-header-cell *matHeaderCellDef>{{
              "PROJECTDETAILS.PLAN.RESPONSIBILITY.PHONE" | translate
            }}</mat-header-cell>
            <mat-cell class="status-cell" *matCellDef="let project">{{
              project.status
            }}</mat-cell>
          </ng-container>

          <ng-container matColumnDef="role">
            <mat-header-cell *matHeaderCellDef>{{
              "PROJECTDETAILS.PLAN.RESPONSIBILITY.ROLLE" | translate
            }}</mat-header-cell>
            <mat-cell class="description-cell" *matCellDef="let project">{{
              project.description
            }}</mat-cell>
          </ng-container>

          <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>

          <mat-row
            *matRowDef="let row; columns: displayedColumns"
            (click)="getRollen(row)"
          ></mat-row>
          <!--<mat-row *matRowDef="let row; columns: displayedColumns" (click)="getProject(row)"></mat-row>-->
        </mat-table>
      </nb-card-body>
    </nb-card>

    <mat-paginator
      #paginator
      [length]="PeopleCount | async"
      [pageSize]="10"
      [pageSizeOptions]="[3, 5, 10, 100]"
      [showFirstLastButtons]="true"
    >
      <!-- (page)="pageEvent = getDataByPaginator()" -->
      <!--[length]="project?.projectCount"-->
    </mat-paginator>
  </div>
</div>

<h6>{{ "PROJECTDETAILS.PLAN.RESPONSIBILITY.ADD_ROLE" | translate}}</h6>
<input
  class="position-textfield-Rollen"
  nbInput
  size="medium"
  rows="10"
  placeholder="'PROJECTDETAILS.PLAN.RESPONSIBILITY.NAME' | translate"
  [(ngModel)]="Name"
/>
<input
  class="position-textfield-Rollen"
  nbInput
  size="small"
  rows="10"
  placeholder="'PROJECTDETAILS.PLAN.RESPONSIBILITY.E-MAIL' | translate"
  [(ngModel)]="Mail"
  />
<input
  class="position-textfield-Rollen"
  nbInput
  size="small"
  rows="10"
  placeholder="'PROJECTDETAILS.PLAN.RESPONSIBILITY.PHONE' | translate"
  [(ngModel)]="Phone"
/>
<nb-select placeholder="NgModel" [(ngModel)]="Role">
  <nb-option value="1">{{
    "PROJECTDETAILS.PLAN.OUTLINE.IDEA" | translate
  }}</nb-option>
  <nb-option value="2">{{
    "PROJECTDETAILS.PLAN.OUTLINE.OUTLINE" | translate
  }}</nb-option>
  <nb-option value="3">{{
    "PROJECTDETAILS.PLAN.OUTLINE.PROPOSAL" | translate
  }}</nb-option>
</nb-select>
<button
nbButton
status="success"
class="position-feedback"
(click)="AssignRole(Name,Mail,Phone,Role)"
>
{{ "PROJECTDETAILS.PLAN.RESPONSIBILITY.ADD" | translate }}
</button>
